## com.sun.jna.platform.mac
Class MacFileUtils

    java.lang.Object
      com.sun.jna.platform.FileUtils
          com.sun.jna.platform.mac.MacFileUtils

    public class MacFileUtils

extends FileUtils

Constructor Summary
`MacFileUtils()`

Method Summary
`boolean` `hasTrash()`
`void` `moveToTrash(java.io.File[] files)` Move the given file to the system trash, if one is available.

Methods inherited from class com.sun.jna.platform.FileUtils
`getInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MacFileUtils

    public MacFileUtils()

Method Detail

### hasTrash

    public boolean hasTrash()

  Overrides:
    `hasTrash` in class `FileUtils`

### moveToTrash

    public void moveToTrash(java.io.File[] files)
                     throws java.io.IOException

  Description copied from class: `FileUtils`
  Move the given file to the system trash, if one is available. Throws an exception on failure.

  Specified by:
    `moveToTrash` in class `FileUtils`
  Throws:
    `java.io.IOException`